Subject: bug#36199: Newsboat: HTTPS urls broken

From: Robert Smith <[email-masked]>
Date: Tue, 09 Jul 2019 15:09:55 +0200

Giovanni,

Thank you for following through with this issue!
Today I tried newsboat for the first time since my last
email and I was surprised to find that the issue has been
completely fixed. Thanks again for your help!

-Robert

On 24.06.2019 10:14, Giovanni Biscuolo wrote:
> Hello Robert,
> 
> Robert Smith <[email-masked]> writes:
> 
>> Yes, I have nss-certs included in the packages field of the OS
>> declaration.
>> I tried explicitly installing it for my user account but it did not
>> affect the
>> bug at all.
> 
> OK, so I finally was able to test newsboat (I do not use it usually)
> 
> This is my current Guix generation (on foreign distro):
> 
> --8<---------------cut here---------------start------------->8---
> Generation 26	Jun 20 2019 17:35:43	(current)
>   guix ace8e26
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: ace8e269a40b31a9c6f413c0674529880da6a48e
> --8<---------------cut here---------------end--------------->8---
> 
> I installed newsboat, imported (`newsboat -i ~/Desktop/test.opml`) a 
> few
> test feeds in opml:
> 
> 
> 
> and then started `newsboat`: I was able to fetch and read all the https
> feeds I imported
> 
> Can you plase confirm you still get this error?
> 
> If so, what's your current guix generation and plase attach an
> opmlexport containing the offending URL(s)?
> 
> Thanks! Gio'.